Subject: bug#13019: 24.2; ispell: use of local ispell-personal-dictionary

From: Agustin Martin <[email-masked]>
Date: Mon, 3 Dec 2012 17:59:23 +0100

On Fri, Nov 30, 2012 at 01:49:14PM -0500, Stefan Monnier wrote:
> > I am now playing with something different, preserve original value of
> > `default-directory' in `current-ispell-directory' variable and expand
> > personal dictionary after it if no absolute path or tilde is used.
> 
> IIRC a related issue is whether the ispell process can be kept (rather
> than killed&restarted) when switching buffer.
> 
> For my use case, it's fairly important that the ispell process not be
> killed&restarted unnecessarily and indeed most of my buffers can share
> the same ispell process because they use no buffer-specific dictionary.

I committed a change regarding only with name expansion, but this has some
issues regarding ispell process keep/restart, so I am leaving this bug
report open until I also deal with this.

Former check in personal dictionaries was not in expanded name but in plain
string and this will not work well when files are in different directory. At
the same time I am noticing some related code that seems redundant, so this
will take a bit longer.

-- 
Agustin